Summary:	Administrative utilities for the XFS filesystem
Name:		xfsdump
Version:	3.1.9
Release:	%mkrel 1
Source0:	https://www.kernel.org/pub/linux/utils/fs/xfs/xfsdump/%{name}-%{version}.tar.gz
License:	GPLv2
Group:		System/Kernel and hardware
URL:		http://xfs.org/index.php/Getting_the_latest_source_code
BuildRequires:	attr-devel
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	xfs-devel
BuildRequires:	dm-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	libtool
Requires(pre):	filesystem >= 2.1.9-18

%description
The xfsdump package contains xfsdump, xfsrestore and a number of
other utilities for administering XFS filesystems.

xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium.  It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes.  Backups created with xfsdump are "endian safe" and can
thus be transfered between Linux machines of different architectures
and also between IRIX machines.

xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then
be layered on top of the full backup.  Single files and directory
subtrees may be restored from full or partial backups.

%prep
%setup -q

%build
export DEBUG="-DNDEBUG"
export OPTIMIZER="%{optflags}"
%configure
%make DEBUG="-DNDEBUG" OPTIMIZER="%{optflags}"

%install
make install DIST_ROOT=%{buildroot}/

%find_lang %{name}

# nuke files already packaged as %doc
rm -rf %{buildroot}%{_datadir}/doc/xfsdump/

# for coerency, rename xfsdump|xfsrestore to dump|restore.xfs
mv %{buildroot}/sbin/xfsdump %{buildroot}%{_sbindir}/dump.xfs
mv %{buildroot}/sbin/xfsrestore %{buildroot}%{_sbindir}/restore.xfs
ln -sf dump.xfs %{buildroot}%{_sbindir}/xfsdump
ln -sf restore.xfs %{buildroot}%{_sbindir}/xfsrestore
ln -sf %{_mandir}/man8/xfsdump.8 %{buildroot}%{_mandir}/man8/dump.xfs
ln -sf %{_mandir}/man8/xfsrestore.8 %{buildroot}%{_mandir}/man8/restore.xfs

%files -f %{name}.lang
%doc doc/CHANGES.gz doc/COPYING doc/INSTALL doc/README.xfsdump
%{_sbindir}/*
%{_mandir}/*/*


%changelog
* Tue Mar 03 2020 tv <tv> 3.1.9-1.mga8
+ Revision: 1553475
- 3.1.9
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.1.8-2.mga7
+ Revision: 1301902
- Mageia 7 Mass Rebuild

* Tue Nov 21 2017 tmb <tmb> 3.1.8-1.mga7
+ Revision: 1178135
- update to 3.1.8
- update url and source url

* Sun Mar 13 2016 tv <tv> 3.1.6-1.mga6
+ Revision: 990286
- new release

* Mon Feb 08 2016 umeabot <umeabot> 3.1.4-4.mga6
+ Revision: 943250
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1.4-3.mga5
+ Revision: 740772
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.4-2.mga5
+ Revision: 690652
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 tmb <tmb> 3.1.4-1.mga5
+ Revision: 673350
- update to 3.1.4

* Tue Oct 22 2013 umeabot <umeabot> 3.1.3-2.mga4
+ Revision: 541711
- Mageia 4 Mass Rebuild

* Sat Jul 20 2013 fwang <fwang> 3.1.3-1.mga4
+ Revision: 456426
- new version 3.1.3

* Mon Jan 14 2013 umeabot <umeabot> 3.1.2-2.mga3
+ Revision: 386930
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 tmb <tmb> 3.1.2-1.mga3
+ Revision: 339697
- add translations
- update to 3.1.2

* Sat Jul 21 2012 colin <colin> 3.1.0-2.mga3
+ Revision: 273158
- Update for usrmove

* Sun Mar 25 2012 tmb <tmb> 3.1.0-1.mga2
+ Revision: 226158
- update to 3.1.0 (bugfixes for restoring)

* Sat Oct 15 2011 tmb <tmb> 3.0.6-1.mga2
+ Revision: 155318
- update to 3.0.6

* Thu Apr 14 2011 pterjan <pterjan> 3.0.5-2.mga1
+ Revision: 84822
- Re-upload after upload bug

* Wed Apr 13 2011 tv <tv> 3.0.5-1.mga1
+ Revision: 84633
- new release

* Thu Feb 24 2011 ennael <ennael> 3.0.4-2.mga1
+ Revision: 58813
- clean spec file
- imported package xfsdump

